MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024153Open CASCADE[OCCT] OCCT:WOKpublic2013-09-09 10:192013-12-19 13:58
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024153: Adding OpenCL to OCCT prerequisites
DescriptionAdding OpenCL to OCCT prerequisites.

Sources are ready for optional compilation with OpenCL. All OpenCL-specific code is wrapped into HAVE_OPENCL ifdef/endif block.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0024130closedbugmaster Implementing ray tracing visualization core 

-  Notes
(0025971)
kgv (developer)
2013-10-08 16:58

Dear dbp,

could you please add CSF_OpenCLDir variable to the branch CR24153 in the same way as it done for shaders?
(0026076)
dbp (developer)
2013-10-14 19:48
edited on: 2013-10-14 19:48

Dear kgv,

the OpenCL resource directory (CSF_OpenCLDir) was added to WOK scripts.

But, to support OpenCL programs, the WOK GUI must also be modified (to add include, lib and bin directories of the specific OpenCL implementation).

(0026170)
dbp (developer)
2013-10-21 14:40

Dear kgv,

the WOK scripts were modified to support OpenCL. WOK was tested under Windows to generate VS projects using CMake. Please review.
(0026171)
kgv (developer)
2013-10-21 15:11

Dear dbp,

please remove CSF_OpenCLDir, as discussed before.

>> WOK was tested under Windows to generate VS projects using CMake
I don't see any changes in CMake scripts.
(0026177)
dbp (developer)
2013-10-21 18:14

Dear kgv,

WOK scripts were cleared from CSF_OpenCLDir.
(0026193)
kgv (developer)
2013-10-22 10:24

Dear Bugmaster,

please verify that changes in WOK branch are sufficient for building OCCT (0024130) with OpenCL dependency on all supported platforms.
(0026342)
bugmaster (administrator)
2013-10-29 19:14

Ivan,

1. I tried to build CR24130 by cmake on Windows. But it seems root CMakeLists.txt
was not updated for OpenCL.

2. Building by Makefiles on Linux :
SDK are available in /dn29/PRODUCTS/maintenance/unix_6.6.1/OpenCL
Output:
checking tbb/tbb.h usability... yes
checking tbb/tbb.h presence... yes
checking for tbb/tbb.h... yes
checking CL/cl.h usability... yes
checking CL/cl.h presence... yes
checking for CL/cl.h... yes
checking for TBB_runtime_interface_version in -ltbb... yes
checking for OPENCL_runtime_interface_version in -lopencl... no
configure: "Specify --with-opencl-library to enable OpenCL support"

config.log :
configure:18190: checking for OPENCL_runtime_interface_version in -lopencl
configure:18215: g++ -o conftest -DCSFDB -DOCC_CONVERT_SIGNALS -DLIN -DLININTEL -D_GNU_SOURCE=1 -mmmx -msse -msse2 -mfpmath=sse -Wall -I/dn29/PRODUCTS/maintenance/unix_6.6.1/OpenCL/AMD-APP-SDK-v2.8.1.0-RC-lnx64/include/CL -I/dn29/PRODUCTS/maintenance/unix_6.6.1/Debian60-64/tbb-30_018oss/include -I/dn29/PRODUCTS/maintenance/unix_6.6.1/Debian60-64/freeimage-3.15.4/include -I/dn29/PRODUCTS/maintenance/unix_6.6.1/Debian60-64/gl2ps-1.3.8/include -D_OCC64 -L/dn29/PRODUCTS/maintenance/unix_6.6.1/OpenCL/AMD-APP-SDK-v2.8.1.0-RC-lnx64/lib/x86_64 -L/dn29/PRODUCTS/maintenance/unix_6.6.1/Debian60-64/tbb-30_018oss/lib/intel64/cc4.1.0_libc2.4_kernel2.6.16.21 -L/dn29/PRODUCTS/maintenance/unix_6.6.1/Debian60-64/freeimage-3.15.4/lib -L/dn29/PRODUCTS/maintenance/unix_6.6.1/Debian60-64/gl2ps-1.3.8/lib -lstdc++ -lrt conftest.cpp -lopencl -ltbb -lXt -lX11 -lGLU -lGL -L/dn29/PRODUCTS/maintenance/unix_6.6.1/Debian60-64/freetype-2.4.11/lib -lfreetype -ldl -lpthread >&5
/tmp/ccmoJHzX.o: In function `main':
conftest.cpp:(.text+0x5): undefined reference to `OPENCL_runtime_interface_version'
collect2: ld returned 1 exit status
configure:18215: $? = 1

- Related Changesets
occt: master 7c633a3e
Timestamp: 2013-10-31 11:43:38
Author: ibs
Committer: bugmaster
Details ] Diff ]
0024153: Adding OpenCL to OCCT prerequisites

OpenCL is supported by CMake OCCT solution
3rdparty directory is changed to <occt root>
3rdparty seeking in additional places if 3rdparty dir isn't defined
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-09 10:19 dbp New Issue
2013-09-09 10:19 dbp Assigned To => kgv
2013-09-17 09:50 san Relationship added child of 0024130
2013-10-08 16:58 kgv Note Added: 0025971
2013-10-08 16:58 kgv Assigned To kgv => dbp
2013-10-08 16:58 kgv Status new => assigned
2013-10-14 19:48 dbp Note Added: 0026076
2013-10-14 19:48 dbp Note Edited: 0026076 View Revisions
2013-10-21 14:40 dbp Note Added: 0026170
2013-10-21 14:40 dbp Assigned To dbp => kgv
2013-10-21 14:40 dbp Status assigned => resolved
2013-10-21 15:11 kgv Note Added: 0026171
2013-10-21 15:11 kgv Assigned To kgv => dbp
2013-10-21 15:11 kgv Status resolved => assigned
2013-10-21 18:14 dbp Note Added: 0026177
2013-10-21 18:14 dbp Assigned To dbp => kgv
2013-10-21 18:14 dbp Status assigned => feedback
2013-10-22 10:24 kgv Note Added: 0026193
2013-10-22 10:24 kgv Assigned To kgv => bugmaster
2013-10-22 10:24 kgv Status feedback => reviewed
2013-10-23 17:18 bugmaster Target Version => 6.7.0
2013-10-29 19:14 bugmaster Note Added: 0026342
2013-10-29 19:14 bugmaster Assigned To bugmaster => ibs
2013-10-29 19:14 bugmaster Status reviewed => assigned
2013-11-06 11:07 bugmaster Changeset attached => occt master 7c633a3e
2013-11-06 11:07 bugmaster Assigned To ibs => bugmaster
2013-11-06 11:07 bugmaster Status assigned => verified
2013-11-06 11:07 bugmaster Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker